/* USER VARIABLES SECTION
=== === === === === === === === === === */

:root {
  color-scheme: light;
  --userfont: montserrat, sans-serif;
  --systemfont: -apple-system, BlinkMacSystemFont, Arial, sans-serif;
  --content-width: 960px;
  --container-width: 992px;
  --gap: calc(1rem * 1.65);
  --edge: calc((var(--container-width) - var(--content-width)) * 0.5);
  --box-shadow_img: 1px 1px 3px 0 rgba(var(--lekom_deep_blue), 0.33);
  --box-shadow_icon: 1px 1px 2px 0 rgba(var(--lekom_deep_blue), 0.33);
  --index: calc(1vw + 1vh);

  --lekom_deep_blue: 28, 53, 94; /* Lekom Brand Color A */
  --lekom_light_blue: 198, 196, 210; /* Lekom Brand Color B */
  --lekom_blue: 45, 122, 209; /* Lekom Brand Secondary Color A */
  --lekom_red: 221, 62, 80; /* Lekom Brand Secondary Color B */
  --lekom_orange: 239, 153, 30; /* Lekom Brand Secondary Color C */
}

/* FONTS LOAD SECTION
=== === === === === === === === === === */

@font-face {
  src: url("../fonts/montserrat_regular.woff2") format("woff2");
  font-family: "montserrat";
  font-weight: 400;
  font-style: normal;
}

@font-face {
  src: url("../fonts/montserrat_italic.woff2") format("woff2");
  font-family: "montserrat";
  font-weight: 400;
  font-style: italic;
}

@font-face {
  src: url("../fonts/montserrat-700.woff2") format("woff2");
  font-family: "montserrat";
  font-weight: 700;
  font-style: normal;
}

@font-face {
  src: url("../fonts/montserrat-900.woff2") format("woff2");
  font-family: "montserrat";
  font-weight: 900;
  font-style: normal;
}

/* GENERAL CSS SETTINGS
=== === === === === === === === === === */
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

::placeholder {
  color: #666;
}

::selection {
  background-color: rgba(var(--lekom_orange), 1);
  color: #fff;
}

input,
textarea {
  outline: none;
}

input:focus:required:invalid,
textarea:focus:required:invalid {
  border-color: red;
}

input:required:valid,
textarea:required:valid {
  border-color: green;
}

body {
  font-family: var(--userfont);
  font-size: 1rem;
  line-height: 1.65;
  color: rgba(var(--lekom_deep_blue), 1);
  min-width: 320px;
  position: relative;
  overflow-x: hidden;
}

img {
  max-width: 100%;
}

strong,
b {
  font-weight: unset;
}

/* USER STYLES
=== === === === === === === === === === */
.limiter {
  display: grid;
  gap: var(--gap);
  grid-template-columns: 1fr minmax(0, var(--content-width)) 1fr;
  width: 100%;
}

.header,
.footer {
  position: fixed;
  background-color: rgba(var(--lekom_deep_blue));
  min-height: calc(var(--gap) * 2);
  box-shadow: 0 3px 18px 6px rgba(var(--lekom_deep_blue), 0.5), 0 -3px 18px -6px rgb(0, 0, 0) inset;
  z-index: 999;
  background-image: url(../images/main_bg.webp);
  background-size: cover;
  background-position-y: 5%;
}

.footer {
  position: initial;
  box-shadow: 0 -3px 18px 6px rgba(var(--lekom_deep_blue), 0.5), 0 3px 18px -6px rgb(0, 0, 0) inset;
  background-position-y: 55%;
  padding: calc(var(--gap) * 0.5) 0;
}

.logo {
  grid-column: 2;
  background-image: url(../images/lekom_logo_white.svg);
  background-repeat: no-repeat;
  background-size: contain;
  height: 100%;
  position: relative;
  left: -3px;
  width: 87px;
}

article {
  grid-column: 2 / 3;
  min-height: calc(100vh - var(--gap) * 5);
  margin-top: calc(var(--gap) * 3);
}

article.alt {
  margin-top: calc(var(--gap) * 1.25);
}

.grid {
  display: grid;
  gap: var(--gap);
}

.head_1,
.head_2,
.head_3 {
  text-transform: uppercase;
  position: relative;
  padding: 0 var(--gap) 0 calc(var(--gap) / 4);
  text-shadow: white 0px 0px 3px, white 0px 0px 6px, white 0px 0px 9px, white 0px 0px 12px, white 0px 0px 15px, white 0px 0px 18px, white 0px 0px 21px, white 0px 0px 24px, white 0px 0px 27px, white 0px 0px 30px;
}

.head_1 {
  font-size: 2rem;
  font-weight: 900;
}

.head_2 {
  font-size: 1.5rem;
  font-weight: 700;
}

.head_3 {
  font-size: 1rem;
  font-weight: 700;
}

.head_1::before,
.head_2::before,
.head_3::before,
.head_1::after,
.head_2::after,
.head_3::after {
  position: absolute;
  content: "";
  left: 0;
  right: 0;
  width: 100%;
}

.head_1::before,
.head_2::before,
.head_3::before {
  z-index: -2;
  background-image: url(../images/main_bg.webp);
  background-repeat: no-repeat;
  background-size: cover;
  box-shadow: 0 -3px 12px -4px rgba(var(--lekom_deep_blue), 1) inset, 0 3px 12px -4px rgba(var(--lekom_deep_blue), 1) inset;
}

.head_1::after,
.head_2::after,
.head_3::after {
  z-index: -1;
}

.head_1::before,
.head_1::after {
  top: calc(var(--gap) / -3);
  bottom: calc(var(--gap) / -3);
}

.head_2::before,
.head_2::after {
  top: calc(var(--gap) / -6);
  bottom: calc(var(--gap) / -6);
}

.head_3::before,
.head_3::after {
  top: calc(var(--gap) / -9);
  bottom: calc(var(--gap) / -9);
}

.head_1::before {
  background-position-y: 40%;
}

.head_2::before {
  background-position-y: 0%;
}

.head_3::before {
  background-position-y: 10%;
}

.headingType_1::after {
  background: linear-gradient(130deg, rgba(255, 255, 255, 1) 25%, rgba(255, 255, 255, 0) 65%, rgba(255, 255, 255, 0) 70%, rgba(255, 255, 255, 1) 95%);
}

.headingType_2::after {
  background: linear-gradient(130deg, rgba(255, 255, 255, 1) 15%, rgba(255, 255, 255, 0) 30%, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 1) 75%);
}

.headingType_3::after {
  background: linear-gradient(40deg, rgba(255, 255, 255, 1) 5%, rgba(255, 255, 255, 0) 20%, rgba(255, 255, 255, 0) 30%, rgba(255, 255, 255, 1) 60%);
}

.headingType_4::after {
  background: linear-gradient(40deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 1) 40%, rgba(255, 255, 255, 1) 80%, rgba(255, 255, 255, 0) 120%);
}

.headingType_5::after {
  background: linear-gradient(130deg, rgba(255, 255, 255, 0) -20%, rgba(255, 255, 255, 1) 10%, rgba(255, 255, 255, 1) 60%, rgba(255, 255, 255, 0) 100%);
}

/* .heading_1 {
    position: absolute;
    color: white;
    text-shadow: 0px 0px 5px rgba(var(--lekom_deep_blue), 1);
    max-width: 75%;
    text-align: center;
    margin: 0;
} */

.head_1.alt,
.head_2.alt,
.head_3.alt {
  padding: initial;
  text-shadow: initial;
}

.head_1.alt::before,
.head_2.alt::before,
.head_3.alt::before {
  background-color: rgba(var(--lekom_orange), 1);
  background-image: initial;
  box-shadow: initial;
  top: calc(var(--gap) * -1.25);
  width: calc(var(--gap) * 4);
  height: calc(var(--gap) * 0.25);
}

.pf {
  text-align: justify;
  margin-bottom: var(--gap);
}

.txt_col_2 {
  column-count: 2;
  column-gap: var(--gap);
  column-width: calc(var(--content-width) / 3);
}

.icon {
  float: left;
  height: calc(var(--gap) * 1.5);
  width: calc(var(--gap) * 1.5);
  margin: calc((var(--gap) / 3) - 3px) calc(var(--gap) / 2) calc(var(--gap) / 6) 0;
  padding: 5px 4px;
  border-right: 1px solid white;
  border-bottom: 1px solid white;
  box-shadow: var(--box-shadow_icon);
  border-radius: calc(var(--gap) / 9);
}

.img_holder {
  display: flex;
  place-items: center;
  place-content: center;
  margin: 0 auto;
  overflow: hidden;
  position: relative;
  box-sizing: border-box;
  border-right: 1px solid white;
  border-bottom: 1px solid white;
  box-shadow: var(--box-shadow_img);
  border-radius: calc(var(--gap) / 3);
}

.img_holder::before {
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  background-color: rgba(var(--lekom_deep_blue), 0.01);
  z-index: -1;
}

.img_holder.alt {
  border: initial;
  box-shadow: initial;
}

.img_holder.alt::before {
  background-color: initial;
}

.aspect_ratio_16x9 {
  padding-top: 56.25% /* 28.125% */;
  width: 100%;
}

.video {
  position: relative;
  width: 100%;
  height: 0;
  padding-bottom: 56.25%;
  background-color: #000000;
}

.img_holder.w_2 .video {
  width: calc((var(--content-width) - var(--gap)) / 2);
  /* padding-bottom: 28.125%; */
}

.video__link {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.video__media {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: none;
}

.video__button {
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: 1;
  display: none;
  padding: 0;
  width: 68px;
  height: 48px;
  border: none;
  background-color: transparent;
  transform: translate(-50%, -50%);
  cursor: pointer;
}

.video__button-shape {
  fill: #212121;
  fill-opacity: 0.8;
}

.video__button-icon {
  fill: #ffffff;
}

.video__button:focus {
  outline: none;
}

.video:hover .video__button-shape,
.video__button:focus .video__button-shape {
  fill: #ff0000;
  fill-opacity: 1;
}

.video--enabled {
  cursor: pointer;
}

.video--enabled .video__button {
  display: block;
}

.img_holder_top {
  place-content: initial;
}

.f_l {
  float: left;
  margin: calc(var(--gap) / 3) var(--gap) calc(var(--gap) / 1.75) 0;
}

.f_r {
  float: right;
  margin: calc(var(--gap) / 3) 0 calc(var(--gap) / 1.75) var(--gap);
}

.p_inline {
  padding-inline: var(--gap);
}

.p_block {
  padding-block: var(--gap);
}

.table {
  display: grid;
  gap: calc(var(--gap) / 6);
  grid-template-columns: 1fr 2fr;
}

.cell {
  background-color: rgba(var(--lekom_deep_blue), 0.1);
  border-radius: calc(var(--gap) / 3);
  box-shadow: 1px 1px 3px -1px rgba(var(--lekom_deep_blue), 1);
  overflow: hidden;
  padding: calc(var(--gap) / 3);
  position: relative;
  transition: all 0.1s ease-in;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.cell:nth-child(2n-2) {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: #fff;
  font-weight: 400;
  background-color: rgba(var(--lekom_deep_blue), 0.75);
  border-top-left-radius: calc(var(--gap) / 3);
  border-top-right-radius: 0;
  border-bottom-left-radius: calc(var(--gap) / 3);
  border-bottom-right-radius: 0;
}

.cell:nth-child(2n-2):hover {
  background-color: rgba(var(--lekom_deep_blue), 0.1);
  color: rgba(var(--lekom_deep_blue), 1);
}

.cell:nth-child(4n-4):hover {
  background-color: rgba(var(--lekom_deep_blue), 0.15);
}

.cell:nth-child(2n-1) {
  border-top-left-radius: 0;
  border-top-right-radius: calc(var(--gap) / 3);
  border-bottom-left-radius: 0;
  border-bottom-right-radius: calc(var(--gap) / 3);
}

.cell:nth-child(2n-1):hover {
  background-color: rgba(var(--lekom_deep_blue), 0.75);
  color: #fff;
}

.cell:nth-child(4n-3) {
  background-color: rgba(var(--lekom_deep_blue), 0.15);
}

.cell.subtitle {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  background-color: rgba(var(--lekom_deep_blue), 0.75);
  border-radius: calc(var(--gap) / 3);
  color: #fff;
  font-weight: 800;
  grid-column: 1/-1;
  text-transform: uppercase;
}

.table .list li:not(li:last-child, .list .list li) {
  margin-bottom: calc(var(--gap) / 2);
}

.list {
  list-style: none;
}

.list li {
  align-items: center;
  margin: 0 0 2px var(--gap);
  position: relative;
}

.list li:before {
  position: absolute;
  display: flex;
  align-items: center;
  background-color: rgba(var(--lekom_orange), 1);
  font-size: 0.55rem;
  min-width: calc(var(--gap) * 0.55);
  height: calc(var(--gap) * 0.55);
  left: calc(-1 * (var(--gap)));
  margin: calc(1rem / 3) calc(var(--gap) / 2) auto 0;
}

.list.checked li:before {
  content: "✓";
}

.list.question li:before {
  content: "?";
}

.list li:before {
  background-color: initial;
  border: none;
  box-shadow: none;
  color: rgba(var(--lekom_orange), 1);
  content: "❱"; /* "❯" */
  font-size: var(--gap);
  justify-content: normal;
  min-width: auto;
}

.list li.lekom_dark_blue:before {
  color: var(--lekom_deep_blue);
}

.list li.lekom_blue:before {
  color: var(--lekom_blue);
}

.list li.lekom_light_blue:before {
  color: var(--lekom_light_blue);
}

.list li.lekom_red:before {
  color: var(--lekom_red);
}

.list li.lekom_orange:before {
  color: var(--lekom_orange);
}

.list ul li {
  margin: 0 0 0 calc(var(--gap) * 0.8);
}

.list ul li:before {
  font-size: calc(1rem * 0.75);
  left: calc(var(--gap) * -0.8);
  margin: calc(var(--gap) * 0.27) calc(var(--gap) * 0.75) 0 0;
}

.def {
  text-align: center;
  font-style: italic;
  position: relative;
  font-weight: 700;
  text-shadow: white 0px 0px 2px, white 0px 0px 4px, white 0px 0px 6px, white 0px 0px 8px, white 0px 0px 10px, white 0px 0px 12px;
}

.def::before,
.def::after {
  position: absolute;
  content: "";
  height: calc(var(--gap) / 3);
  opacity: 0.5;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  z-index: -1;
  background-image: initial;
}

.def::before {
  top: calc(var(--gap) * -1.1);
}

.def::after {
  top: calc(var(--gap) * -0.3);
}

.def_1::before {
  width: 42%;
  left: -22%;
  background-color: rgb(0, 255, 255);
  box-shadow: calc(var(--gap) * 4) calc(var(--gap) * 0.8) rgb(255, 0, 255);
}

.def_1::after {
  width: 32%;
  left: -18%;
  background-color: rgb(255, 255, 0);
  box-shadow: calc(var(--gap) * -2) calc(var(--gap) * 0.8) rgb(0, 0, 0);
}

.def_2::before {
  width: 40%;
  left: -15%;
  background-color: rgb(255, 0, 255);
  box-shadow: calc(var(--gap) * 4) calc(var(--gap) * 0.8) rgb(0, 255, 255);
}

.def_2::after {
  width: 32%;
  left: 6%;
  background-color: rgb(0, 0, 0);
  box-shadow: calc(var(--gap) * -4) calc(var(--gap) * 0.8) rgb(255, 255, 0);
}

.def_3::before {
  width: 33%;
  left: -13%;
  background-color: rgb(255, 255, 0);
  box-shadow: calc(var(--gap) * 4) calc(var(--gap) * 0.8) rgb(255, 0, 255);
}

.def_3::after {
  width: 42%;
  left: -21%;
  background-color: rgb(0, 255, 255);
  box-shadow: calc(var(--gap) * 3) calc(var(--gap) * 0.8) rgb(0, 0, 0);
}

.def_4::before {
  width: 35%;
  left: -15%;
  background-color: rgb(0, 0, 0);
  box-shadow: calc(var(--gap) * -2.5) calc(var(--gap) * 0.8) rgb(255, 0, 255);
}

.def_4::after {
  width: 40%;
  left: 20%;
  background-color: rgb(255, 255, 0);
  box-shadow: calc(var(--gap) * -2) calc(var(--gap) * 0.8) rgb(0, 255, 255);
}

.span_2 {
  grid-column: span 2;
}

.footer_middle {
  grid-column: 2;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  color: white;
  gap: calc(var(--gap) / 2);
}

.footer_link {
  font-size: 0.75rem;
  background-color: rgba(var(--lekom_orange), 0);
  border-radius: calc(var(--gap) / 2);
  display: inline-flex;
  padding: calc(var(--gap) / 10) calc(var(--gap) * 0.5) calc(var(--gap) / 10) calc(var(--gap) * 0.9);
  align-items: center;
  position: relative;
  box-shadow: inset 0 0 6px 1px rgba(255, 255, 255, 1); /* var(--lekom_deep_blue), 0.75 */
  border: white 2px solid;
  color: white;
  text-decoration: none;
  transition: all 0.1s ease-in;
}

.footer_link:hover {
  box-shadow: inset 0 0 12px 2px rgba(var(--lekom_orange), 1);
  border-color: var(--lekom_orange);
  color: rgba(var(--lekom_orange), 1);
  transform: scale(1.025);
}

.footer_link::before {
  content: "";
  position: absolute;
  border-radius: 100%;
  padding: 3px;
  background-color: white;
  left: calc(var(--gap) * 0.4);
  transition: all 0.1s ease-in;
}

.footer_link:hover::before {
  background-color: rgba(var(--lekom_orange), 1);
  transform: scale(1.4);
}

.italic {
  font-style: italic;
}

.bold {
  font-weight: 700;
}

.hide {
  display: none !important;
}
